ranges::views::drop_last_base_fn Struct Reference
Inheritance diagram for ranges::views::drop_last_base_fn:

## Public Member Functions

template<typename Rng >
CPP_TEMPLATE_AUX_0 | c (requires ` sized_range< Rng >||forward_range< Rng >) ccconstexpr auto operator()(Rng &&rng

## Public Attributes

CPP_TEMPLATE_AUX_0 range_difference_t< Rng > n const | drop_last_view< all_t< Rng > >

## Member Data Documentation

## drop_last_view< all_t< Rng > >

CPP_TEMPLATE_AUX_0 range_difference_t<Rng> n const ranges::views::drop_last_base_fn::drop_last_view< all_t< Rng > >

Initial value:
{
return {all(static_cast<Rng &&>(rng)), n}